'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var evaluator = require('@astroapps/evaluator');
var language = require('@codemirror/language');
var highlight = require('@lezer/highlight');

const EvalLanguage = language.LRLanguage.define({
    parser: evaluator.parser.configure({
        props: [
            language.indentNodeProp.add({
                Application: language.delimitedIndent({ closing: ")", align: false })
            }),
            language.foldNodeProp.add({
                Application: language.foldInside
            }),
            highlight.styleTags({
                Reference: highlight.tags.variableName,
                BooleanLiteral: highlight.tags.bool,
                String: highlight.tags.string,
                Number: highlight.tags.number,
                "( )": highlight.tags.paren
            })
        ]
    }),
    languageData: {
        commentTokens: { line: ";" }
    }
});
function Evaluator() {
    return new language.LanguageSupport(EvalLanguage);
}

exports.EvalLanguage = EvalLanguage;
exports.Evaluator = Evaluator;
